
Redmine - Defect #1562

Changing any data for an admin removed admin privilege

2008-07-02 18:44 - David G

Status: Closed Start date: 2008-07-02

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Redmine 0.7.2

MySQL 5.0.51a

Ruby 1.8.6

Rails 1.2.6

Login as admin, Administration, Users, pick any admin, change any field (Login, Firstname, Lastname, Email, Language or

Passowrds) and save.  Administraton privilege has been removed from that user.

I tried 0.7.1 and this was not a problem.  Didn't find this as an open issue.

History

#1 - 2008-07-02 20:01 - Jean-Philippe Lang

I'm not able to reproduce this problem.

Redmine 0.7.x requires Rails 2.0.2 (see the announcement).

Could you upgrade or freeze Rails to 2.0.2 and retry ?

#2 - 2008-07-02 20:28 - David G

- Status changed from New to Resolved

Right.  I don't do the upgrades and so I missed that.  I'll mark this as closed and reopen it if we have any further problems.  Sorry for the false alarm. 

Thx.

#3 - 2008-07-06 12:45 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Affected version (unused) deleted (0.7.2)

- Resolution set to Invalid

- Affected version deleted (0.7.2)

OK, thanks.
